Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class Visualiser

    java.lang.Object
      org.eclipse.ui.part.WorkbenchPart
          org.eclipse.ui.part.ViewPart
              org.eclipse.contribution.visualiser.views.Visualiser

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2

public class Visualiser
extends org.eclipse.ui.part.ViewPart

This class represents the main view of the Visualiser.

Field Summary

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`Visualiser()`

Method Summary
`void` | `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` | `dispose()`
`void` | `draw()` Called by Menu when the colour selections or aspects selection in the menu has changed.
`int` | `getMaxBarSize()`
`int` | `getMinBarSize()`
`IMarkupProvider` | `getVisMarkupProvider()`
`boolean` | `isFitToView()`
`boolean` | `isGroupView()`
`void` | `refreshTitle(java.lang.String title)` Refresh the title.
`void` | `setFocus()`
`void` | `setMaxBarSize(int size)` Set the maximum bar width for the view in pixels
`void` | `setNeedsUpdating()`
`void` | `setVisContentProvider(IContentProvider vcp)` Set the current content provider
`void` | `setVisMarkupProvider(IMarkupProvider vmp)` Set the current markup provider
`void` | `setZoomString(java.lang.String s)`
`void` | `updateDisplay(boolean updateMenu)`
`void` | `updateDisplay(boolean updateMenu, org.eclipse.core.runtime.IProgressMonitor monitor)` Update the display
`void` | `zoominSetEnabled(boolean enabled)`
`void` | `zoomoutSetEnabled(boolean enabled)`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, getAdapter, getContentDescription, getPartName, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### Visualiser

    public Visualiser()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

### setNeedsUpdating

    public void setNeedsUpdating()

### zoominSetEnabled

    public void zoominSetEnabled(boolean enabled)

### zoomoutSetEnabled

    public void zoomoutSetEnabled(boolean enabled)

### refreshTitle

    public void refreshTitle(java.lang.String title)

  Refresh the title. Sets the view's title to 'Visualiser - ' plus the argument

  Parameters:
    `title` -

### setZoomString

    public void setZoomString(java.lang.String s)

### setMaxBarSize

    public void setMaxBarSize(int size)

  Set the maximum bar width for the view in pixels

  Parameters:
    `size` -

### getMaxBarSize

    public int getMaxBarSize()

### getMinBarSize

    public int getMinBarSize()

### isFitToView

    public boolean isFitToView()

### isGroupView

    public boolean isGroupView()

### setFocus

    public void setFocus()

### dispose

    public void dispose()

### draw

    public void draw()

  Called by Menu when the colour selections or aspects selection in the menu has changed.

### updateDisplay

    public void updateDisplay(boolean updateMenu)

### updateDisplay

    public void updateDisplay(boolean updateMenu,
                              org.eclipse.core.runtime.IProgressMonitor monitor)

  Update the display

### setVisContentProvider

    public void setVisContentProvider(IContentProvider vcp)

  Set the current content provider

  Parameters:
    `vcp` - - the current IContentProvider

### getVisMarkupProvider

    public IMarkupProvider getVisMarkupProvider()

### setVisMarkupProvider

    public void setVisMarkupProvider(IMarkupProvider vmp)

  Set the current markup provider

  Parameters:
    `vmp` - - the current IMarkupProvider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD